Példa kategóriablog elrendezésre (GYIK/Általános kategória)

Milyen követelményei vannak a Joomla! 1.5 futtatásának?

2008. augusztus 11. hétfő, 01:42 adminisztrátor
Nyomtatás PDF

A Joomlának PHP-re, egy kiszolgáló oldali programozási nyelvre van szüksége. A PHP-nek számos operációs rendszerre telepíthető változata van. A PHP-n kívül szükség van egy webkiszolgálóra. A Joomlát az Apache webkiszolgálókra optimalizáltuk, de más webkiszolgálókon is futtatható, mint a Microsoft IIS, amihez csak a PHP és a MySQL további konfigurálására van szükség. A Joomla! egy adatbázistól is függ, ehhez jelenleg csak a MySQL-t használhatja.

Sokan saját tapasztalatból tudják, hogy nem könnyű az Apache webkiszolgáló telepítése, amit tovább nehezít a MySQL, a PHP és a Perl integrálása. A XAMPP, a WampServer és a MAMP könnyen telepíthető disztribúciók, tartalmazzák az Apache-ot, a MySQL-t, a PHP-t és a Perlt Windows, Mac OSX és Linux operációs rendszerhez. Ezeket a csomagokat csak nem nyilvános kiszolgálókon a localhost telepítéséhez adják ki.

A minimális verziókövetelmények az alábbiak:

  • Apache 1.x vagy 2.x
  • PHP 4.3 vagy újabb
  • MySQL 3.23 vagy újabb

A legfrissebb minimális követelmények részleteit a magyar nyelvű Joomla! Wikiben és a fórumban tekintheti meg.

Módosítás: ( 2008. augusztus 11. hétfő, 01:42 )
 

A MySQL adatbázisom nem támogatja az UTF-8 kódolást. Jelent ez problémát?

2008. augusztus 07. csütörtök, 10:30 adminisztrátor
Nyomtatás PDF
Nem. A 4.1-nél régebbi MySQL verzióknak nincs saját UTF-8 támogatásuk. A Joomla! 1.5-öt azonban felkészítettük a lefelé kompatibilitásra, és régebbi adatbázisok esetén is tudja használni az UTF-8 kódolást. Hagyja, hogy a telepítő gondoskodjon a beállításokról, és nem kell semmit sem változtatnia az adatbázison (karakterkészlet, egybevetés vagy bármi más).
Módosítás: ( 2008. augusztus 07. csütörtök, 10:30 )
 

Működik PHP Safe Mode On beállítással a Joomla! 1.5?

2008. augusztus 06. szerda, 20:28 adminisztrátor
Nyomtatás PDF

Igen! Ez egy fontos biztonsági fejlődés.

A safe mode (magyarul: biztonsági mód) arra korlátozza a PHP-t, hogy csak azokon a fájlokon/mappákon tudjon műveleteket végrehajtani, melyek tulajdonosa azonos azzal, amit a PHP épp használ (ez általában az 'apache'). Mivel normál esetben a fájlokat vagy a Joomla! alkalmazás, vagy az FTP hozzáférés hozza létre, a PHP fájlműveletek és az FTP réteg kombinációja teszi lehetővé a Joomla! számára a PHP Safe Mode-ban történő működést.

Módosítás: ( 2008. augusztus 06. szerda, 20:28 )
 

Mire való az FTP réteg?

2008. augusztus 06. szerda, 22:27 adminisztrátor
Nyomtatás PDF

Az FTP réteg fájlműveletek (pl. bővítmények telepítése, vagy a fő konfigurációs fájl) végrehajtását teszi lehetővé úgy, hogy nem kell az összes mappát és fájlt írhatóvá tenni. Ez nehézség volt Linuxon és más Unix alapú operációs rendszeren, tekintettel a fájlengedélyekre. Ez jelentősen megkönnyíti a webhely adminisztrátorának életét, és megnöveli a webhely biztonságát.

A vonatkozó mappák írhatósági állapotát a 'Súgó->Rendszerinformáció' menüpontból megnyitható képernyő 'Könyvtárengedélyek' fülén ellenőrizheti. Ha engedélyezte az FTP-réteget, akkor lehet piros színnel jelölt az összes könyvtár, a Joomla! simán fog működni.

MEGJEGYZÉS: Windows állomáson/kiszolgálón nincs szükség az FTP rétegre.

Módosítás: ( 2008. augusztus 06. szerda, 22:27 )
 

Miért utf-8 kódolást használ a Joomla! 1.5?

2008. augusztus 05. kedd, 02:11 adminisztrátor
Nyomtatás PDF

Nos... hogy soha ne kelljen ismét belebonyolódni a kódolás beállításaiba.

Kellett valamikor is egyetlen oldalon vagy webhelyen több nyelvet használnia, és valami mindig hottentottául jelent meg?

Az utf-8 (az Unicode egyik változata) kódolással tulajdonképpen az összes nyelv jelei (karakteralakjai) egyetlen kódolási beállítással jeleníthetők meg.

Módosítás: ( 2008. augusztus 05. kedd, 02:11 )
 

1. oldal / 2

<< Első < Előző 1 2 Következő > Utolsó >>

Névnap

Ma 2018. október 20., szombat, Vendel és Irén napja van. Holnap Orsolya napja lesz.
You are here:   CímlapKategória blog
| + - | RTL - LTR
Joomla! is Free Software released under the GNU/GPL License.